#!/bin/sh
#
#  Variables for Product wide setting
#

#
# Directories
#

DEV_ROOT=/dev 
SYSFS_DIR=/sys
PROC_DIR=/proc
SYS_ETC_DIR=/etc
SYS_OPT_DIR=/opt
LOCK_DIR=/var/lock
TEMP_DIR=/var/tmp
EVENTS_TEMP_DIR=$TEMP_DIR/events
STATUS_TEMP_DIR=$TEMP_DIR/status
CONF_TEMP_DIR=$TEMP_DIR/conf

# Product Specific Paths
__ROOT_DIR=/mnt/data
BIN_DIR=$__ROOT_DIR/bin
ETC_DIR=$__ROOT_DIR/etc
OPT_DIR=$__ROOT_DIR/opt
EVENTS_DIR=$__ROOT_DIR/events
LIB_DIR=$__ROOT_DIR/lib
LIBEXEC_DIR=$__ROOT_DIR/libexec
LOG_DIR=$__ROOT_DIR/log
PACKAGES_DIR=$__ROOT_DIR/packages
PACKAGES_ICONS_DIR=$PACKAGES_DIR/icons
STATUS_DIR=$__ROOT_DIR/status
TEMP_ALT_DIR=$__ROOT_DIR/tmp
XML_CONF_DIR=$__ROOT_DIR/xmlconf
CONF_DIR=$__ROOT_DIR/conf
UDEV_DIR=$__ROOT_DIR/udev

#
# External Commands
#

# For system
BASENAME_CMD=/usr/bin/basename
LS_CMD=/bin/ls
CAT_CMD=/bin/cat
CHMOD_CMD=/bin/chmod
CHOWN_CMD=/bin/chown
CP_CMD=/bin/cp
CUT_CMD=/usr/bin/cut
DATE_CMD=/bin/date
DIRNAME_CMD=/usr/bin/dirname
DPKG_CMD=/usr/bin/dpkg
ENV_CMD=/usr/bin/env
FIND_CMD=/usr/bin/find
GREP_CMD=/bin/grep
HEAD_CMD=/usr/bin/head
HOSTNAME_CMD=/bin/hostname
INSMOD_CMD=/sbin/insmod
KILLALL_CMD=/usr/bin/killall
KILL_CMD=/bin/kill
LN_CMD=/bin/ln
LOGGER_CMD=/usr/bin/logger
MKDIR_CMD=/bin/mkdir
MV_CMD=/bin/mv
NTPDATE_CMD=/usr/sbin/ntpdate
PRINTF_CMD=/usr/bin/printf
PS_CMD=/bin/ps
PYTHON_CMD=/usr/bin/python
RMDIR_CMD=/bin/rmdir
RMMOD_CMD=/sbin/rmmod
RM_CMD=/bin/rm
SED_CMD=/bin/sed
SHUTDOWN_CMD=/sbin/shutdown
SLEEP_CMD=/bin/sleep
SNMPGET_CMD=/usr/bin/snmpget
SNMPTRAP_CMD=/usr/bin/snmptrap
STAT_CMD=/usr/bin/stat
SUDO_CMD=/usr/bin/sudo
TRUE_CMD=/bin/true
UUIDGEN_CMD=/usr/bin/uuidgen
WC_CMD=/usr/bin/wc

# For Filesystem, Directories and Files
MOUNT_CMD=/bin/mount
UMOUNT_CMD=/bin/umount
PARTED_CMD=/sbin/parted
SYNC_CMD=/bin/sync
MKFS_EXT3_CMD=/sbin/mkfs.ext3
MKFS_XFS_CMD=/sbin/mkfs.xfs
MKFS_MSDOS_CMD=/sbin/mkfs.msdos
FSCK_EXT3_CMD=/sbin/fsck.ext3
FSCK_VFAT_CMD=/sbin/fsck.vfat
XFS_REPAIR_CMD=/sbin/xfs_repair
MKSWAP_CMD=/sbin/mkswap
SWAPON_CMD=/sbin/swapon
SWAPOFF_CMD=/sbin/swapoff
RSYNC_CMD=/usr/bin/rsync

# For Users and Groups
USERADD_CMD=/usr/sbin/useradd
USERMOD_CMD=/usr/sbin/usermod
USERDEL_CMD=/usr/sbin/userdel
GROUPADD_CMD=/usr/sbin/groupadd
GPASSWD_CMD=/usr/bin/gpasswd
GROUPMOD_CMD=/usr/sbin/groupmod
GROUPDEL_CMD=/usr/sbin/groupdel

# For Network
IP_CMD=/sbin/ip
IFCONFIG_CMD=/sbin/ifconfig
ROUTE_CMD=/sbin/route
NETSTAT_CMD=/bin/netstat
PING_CMD=/bin/ping
PING6_CMD=/bin/ping6
TRACEROUTE_CMD=/usr/bin/traceroute
TRACEROUTE6_CMD=/usr/bin/traceroute6
DIG_CMD=/usr/bin/dig
WBINFO_CMD=/usr/bin/wbinfo
SSH_KEYGEN_CMD=/usr/bin/ssh-keygen
IFPLUGSTATUS_CMD=/usr/sbin/ifplugstatus

# For Devices
DD_CMD=/bin/dd
MDADM_CMD=/sbin/mdadm
UDEVADM_CMD=/sbin/udevadm
BLOCKDEV_CMD=/sbin/blockdev
APCTEST_CMD=/sbin/apctest
APCACCESS_CMD=/sbin/apcaccess
OMRONUPSCK_CMD=/opt/ssd/omronupsck
I2CGET_CMD=/usr/sbin/i2cget
I2CSET_CMD=/usr/sbin/i2cset
CANCEL_CMD=/usr/bin/cancel
DMIDECODE_CMD=/usr/sbin/dmidecode

# For Product Function
NETSHUTDOWN_CMD=/usr/local/bin/netshutdown
POWERSHUTDOWN_CMD=/usr/local/bin/powershutdown
CRYPTSETUP_CMD=/usr/local/bin/cryptsetup.sh
ETHTOOL_CMD=/sbin/ethtool
SMARTCTL_CMD=/usr/local/bin/smartctl
DETECT_HDD_CMD=/usr/local/bin/detectHDD
SET_HDD_POWER_CMD=/usr/local/bin/setHDDPower
SET_LED_CMD=/usr/sbin/setled
SET_POWER_RESUME_CMD=/usr/local/bin/setPowerResume
SET_MCU_BURNING_CMD=/usr/local/bin/setMCUBurning
EEUPDATE_CMD=/usr/local/bin/eeupdate64
POWER_SHUTDOWN_CMD=/usr/local/bin/powershutdown
ENCKEY_CMD=/usr/local/bin/enckey
REMOUNT_ROOT_READ_ONLY_CMD=/usr/local/bin/remount_root_read_only
REMOUNT_ROOT_WRITE_CMD=/usr/local/bin/remount_root_write
REMOUNT_ROOT_CMD=/usr/local/bin/remount_root
NTPSYNC_CMD=/usr/local/bin/ntpsync
EEDATA_CMD=/usr/local/bin/eedata
GET_GPT_PARTTYPE_CMD=/usr/local/bin/get_gpt_parttype
UPDATE_HOSTS_CMD=/usr/local/bin/update_hosts
UPDATE_RESOLV_CONF_CMD=/usr/local/bin/update_resolv_conf
SYNC_FOLDERS_CMD=/usr/local/bin/sync_folders.sh
SYNC_FOLDERS_RETRY_CMD=/usr/local/bin/sync_folders_retry
LOG_RSYNC_CMD=/usr/local/bin/setlog_rsync
CLEAR_ANNOUNCE_CMD=/usr/local/bin/clear_announce
FIX_E1000E_CHECKSUM_CMD=/usr/local/bin/fix-e1000e-checksum
SET_E1000E_ATP_CMD=/usr/local/bin/set_e1000e_atp
EVENTLOG_CMD=/usr/local/bin/eventlog
GETINFOXML_CMD=/usr/local/bin/getinfoxml
SETINFOXML_CMD=/usr/local/bin/setinfoxml
SETNETWORKINFOXML_CMD=/usr/local/bin/setnetworkinfoxml
LANDISK_ALIVE_CMD=/usr/local/bin/landisk-alive
FIND_LANDISK_CMD=/usr/local/bin/find-landisk
INETCHK_CMD=/usr/local/bin/inetchk


#
# Device/Volume Information
#

NET_IF_LIST="lan ext"
NET_DEV_LIST="netif1 netif2"
NET_RAW_DEV_LIST="eth1 eth0"

RAID_DEV_LIST="md2 md5 md6 md13"
SATA_HDD_DEV_LIST="satad1 satad2 satad3 satad4"
USB_HDD_DEV_LIST="usbd1 usbd2 usbd3 usbd4"
USB_UPS_DEV_LIST="usbups1 usbups2 usbups3 usbups4"
SERIAL_UPS_DEV_LIST="serialups1"
UPS_DEV_LIST="usbups1 usbups2 usbups3 usbups4 serialups1"
UPS_VENDOR_SUFFIX_LIST="apc omron"
USB_LP_DEV_LIST="usblp1 usblp2 usblp3 usblp4"

PORT_IF_LIST="sata usb serial"
SATA_PORT_NO_LIST="1 2 3 4"
USB_PORT_NO_LIST="1 2 3 4"
SERIAL_PORT_NO_LIST="1"

VOL_LIST="sataraid1 usb1 usb2 usb3 usb4"


# For LCM
LCM_SUPPORTED="false"
