#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

"""Apply each package manual to new index.html for packages."""


import glob
import os
import sys

from product_conf import (PACKAGES_DIR, DEB_PACKAGES_DIR,)


MANUALCTRL_GLOB_PART = "*/manualctrl.py"

#
# Main
#

sys.path[:0] = "dummy"
for manualctrl in \
        (glob.glob(os.path.join(PACKAGES_DIR, MANUALCTRL_GLOB_PART)) +
            glob.glob(os.path.join(DEB_PACKAGES_DIR, MANUALCTRL_GLOB_PART))):
    try:
        mod_dir = os.path.dirname(manualctrl)
        sys.path[0] = mod_dir

        import manualctrl

        # force import "manualctrl" for each package
        reload(manualctrl)
        manualctrl.update()
    except:
        # Ignore all errors
        pass

del sys.path[0]
