# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

"""Variables for Product wide setting"""

#
# Directories
#

ROOT_DIR = "/"
DEV_DIR = "/dev"
SYSFS_DIR = "/sys"
PROC_DIR = "/proc"
SYS_ETC_DIR = "/etc"
SYS_OPT_DIR = "/opt"
SYS_LOG_DIR = "/var/log"
LOCK_DIR = "/var/lock"
TEMP_DIR = "/var/tmp"
EVENTS_TEMP_DIR = "/var/tmp/events"
STATUS_TEMP_DIR = "/var/tmp/status"
CONF_TEMP_DIR = "/var/tmp/conf"
VAR_LIB_DIR = "/var/lib"
INITD_DIR = "/etc/init.d"
LANDISK_DIR = "/boot/landisk"
BOOT_DIR = "/boot"
VAR_RUN_DIR = "/var/run"
PYTHON_LIB_DIR = "/usr/local/lib/python2.7/dist-packages"

# Product Specific Paths
__DATA_ROOT_DIR = "/mnt/data"
BIN_DIR = __DATA_ROOT_DIR + "/bin"
ETC_DIR = __DATA_ROOT_DIR + "/etc"
OPT_DIR = __DATA_ROOT_DIR + "/opt"
EVENTS_DIR = __DATA_ROOT_DIR + "/events"
LIB_DIR = __DATA_ROOT_DIR + "/lib"
LIBEXEC_DIR = __DATA_ROOT_DIR + "/libexec"
LOG_DIR = __DATA_ROOT_DIR + "/log"
FIRMWARE_DIR = __DATA_ROOT_DIR + "/firmware"
PACKAGES_DIR = __DATA_ROOT_DIR + "/packages"
PACKAGES_ICONS_DIR = PACKAGES_DIR + "/icons"
STATUS_DIR = __DATA_ROOT_DIR + "/status"
TEMP_ALT_DIR = __DATA_ROOT_DIR + "/tmp"
XML_CONF_DIR = __DATA_ROOT_DIR + "/xmlconf"
DEFAULT_XML_CONF_DIR = __DATA_ROOT_DIR + "/xmlconf/defaults"
CONF_DIR = __DATA_ROOT_DIR + "/conf"
UDEV_DIR = __DATA_ROOT_DIR + "/udev"
MAN_DIR = __DATA_ROOT_DIR + "/man"
DEB_PACKAGES_DIR = __DATA_ROOT_DIR + "/deb_packages"

# For python scripts and modules
NASCMD_LOG = "nascmd.log"

#
# External Commands
#

# For system
SHUTDOWN_CMD = "/sbin/shutdown"
DPKG_CMD = "/usr/bin/dpkg"
PS_CMD = "/bin/ps"
SUDO_CMD = "/usr/bin/sudo"
DATE_CMD = "/bin/date"
HWCLOCK_CMD = "/sbin/hwclock"
NTPDATE_CMD = "/usr/sbin/ntpdate"
KILL_CMD = "/bin/kill"
KILLALL_CMD = "/usr/bin/killall"
SNMPTRAP_CMD = "/usr/bin/snmptrap"
SNMPGET_CMD = "/usr/bin/snmpget"
INSMOD_CMD = "/sbin/insmod"
RMMOD_CMD = "/sbin/rmmod"
MODPROBE_CMD = "/sbin/modprobe"
HOSTNAME_CMD = "/bin/hostname"
LS_CMD = "/bin/ls"
MKNOD_CMD = "/bin/mknod"
EEDATA_CMD = "/usr/local/bin/eedata"
PYTHON_CMD = "/usr/bin/python"

# For Filesystem, Directories and Files
MOUNT_CMD = "/bin/mount"
UMOUNT_CMD = "/bin/umount"
PARTED_CMD = "/sbin/parted"
SYNC_CMD = "/bin/sync"
MKFS_EXT3_CMD = "/sbin/mkfs.ext3"
MKFS_EXT4_CMD = "/sbin/mkfs.ext4"
MKFS_XFS_CMD = "/sbin/mkfs.xfs"
MKFS_MSDOS_CMD = "/sbin/mkfs.msdos"
FSCK_EXT3_CMD = "/sbin/fsck.ext3"
FSCK_EXT4_CMD = "/sbin/fsck.ext4"
FSCK_VFAT_CMD = "/sbin/fsck.vfat"
XFS_REPAIR_CMD = "/sbin/xfs_repair"
MKSWAP_CMD = "/sbin/mkswap"
SWAPON_CMD = "/sbin/swapon"
SWAPOFF_CMD = "/sbin/swapoff"
DF_CMD = "/bin/df"
QUOTAON_CMD = "/sbin/quotaon"
QUOTAOFF_CMD = "/sbin/quotaoff"
SETQUOTA_CMD = "/usr/sbin/setquota"
REPQUOTA_CMD = "/usr/sbin/repquota"
BLKID_CMD = "/sbin/blkid"
RSYNC_CMD = "/usr/bin/rsync"
NASDSYNC_CMD = "/usr/local/bin/nasdsync"
RM_CMD = "/bin/rm"
MKDIR_CMD = "/bin/mkdir"
GPG_CMD = "/usr/bin/gpg"
LOSETUP_CMD = "/sbin/losetup"

# For Users and Groups
USERADD_CMD = "/usr/sbin/useradd"
USERMOD_CMD = "/usr/sbin/usermod"
USERDEL_CMD = "/usr/sbin/userdel"
GROUPADD_CMD = "/usr/sbin/groupadd"
GPASSWD_CMD = "/usr/bin/gpasswd"
GROUPMOD_CMD = "/usr/sbin/groupmod"
GROUPDEL_CMD = "/usr/sbin/groupdel"

# For Network
IP_CMD = "/sbin/ip"
IFCONFIG_CMD = "/sbin/ifconfig"
ROUTE_CMD = "/sbin/route"
NETSTAT_CMD = "/bin/netstat"
PING_CMD = "/bin/ping"
PING6_CMD = "/bin/ping6"
TRACEROUTE_CMD = "/usr/bin/traceroute"
TRACEROUTE6_CMD = "/usr/bin/traceroute6"
DIG_CMD = "/usr/bin/dig"
SMBPASSWD_CMD = "/usr/bin/smbpasswd"
WBINFO_CMD = "/usr/bin/wbinfo"
NET_CMD = "/usr/bin/net"
NMBLOOKUP_CMD = "/usr/bin/nmblookup"
IFPLUGSTATUS_CMD = "/usr/sbin/ifplugstatus"

# For Devices
DD_CMD = "/bin/dd"
MDADM_CMD = "/sbin/mdadm"
UDEVADM_CMD = "/sbin/udevadm"
BLOCKDEV_CMD = "/sbin/blockdev"
APCACCESS_CMD = "/sbin/apcaccess"
OMRONUPSCK_CMD = "/opt/ssd/omronupsck"
UPSC_CMD = "/bin/upsc"
I2CGET_CMD = "/usr/sbin/i2cget"
I2CSET_CMD = "/usr/sbin/i2cset"
CANCEL_CMD = "/usr/bin/cancel"
SENSORS_CMD = "/usr/bin/sensors"
SG_TURS_CMD = "/usr/bin/sg_turs"
SG_START_CMD = "/usr/bin/sg_start"

# For Product Function
NETSHUTDOWN_CMD = "/usr/local/bin/netshutdown"
CRYPTSETUP_CMD = "/usr/local/bin/cryptsetup.sh"
ETHTOOL_CMD = "/sbin/ethtool"
SMARTCTL_CMD = "/usr/local/bin/smartctl"
DETECT_HDD_CMD = "/usr/local/bin/detectHDD"
SET_HDD_POWER_CMD = "/usr/local/bin/setHDDPower"
SET_LED_CMD = "/usr/sbin/setled"
SET_POWER_RESUME_CMD = "/usr/local/bin/setPowerResume"
SET_MCU_BURNING_CMD = "/usr/local/bin/setMCUBurning"
EEDATA_CMD = "/usr/local/bin/eedata"
EEUPDATE_CMD = "/usr/local/bin/eeupdate64"
POWER_SHUTDOWN_CMD = "/usr/local/bin/powershutdown"
ENCKEY_CMD = "/usr/local/bin/enckey"
REMOUNT_ROOT_READ_ONLY_CMD = "/usr/local/bin/remount_root_read_only"
REMOUNT_ROOT_WRITE_CMD = "/usr/local/bin/remount_root_write"
REMOUNT_ROOT_CMD = "/usr/local/bin/remount_root"
NTPSYNC_CMD = "/usr/local/bin/ntpsync"
GET_GPT_PARTTYPE_CMD = "/usr/local/bin/get_gpt_parttype"
UPDATE_HOSTS_CMD = "/usr/local/bin/update_hosts"
UPDATE_RESOLV_CONF_CMD = "/usr/local/bin/update_resolv_conf"
FIX_E1000E_CHECKSUM_CMD = "/usr/local/bin/fix-e1000e-checksum"
SET_E1000E_ATP_CMD = "/usr/local/bin/set_e1000e_atp"
GETINFOXML_CMD = "/usr/local/bin/getinfoxml"
SETINFOXML_CMD = "/usr/local/bin/setinfoxml"
SETNETWORKINFOXML_CMD = "/usr/local/bin/setnetworkinfoxml"
LANDISK_ALIVE_CMD = "/usr/local/bin/landisk-alive"
FIND_LANDISK_CMD = "/usr/local/bin/find-landisk"

# For init.d scripts
SPINDOWND_INITD = INITD_DIR + "/spindownd"
MDADM_INITD = INITD_DIR + "/mdadm"
NASDSYNC_INITD = INITD_DIR + "/nasdsync"
NETWORKING_INITD = INITD_DIR + "/networking"

# For crond
CRON_ACTIVEREPAIR_CMD = "/usr/local/bin/activerepair"
CRON_INTERVAL_REPORT_CMD = "/usr/local/bin/interval_report"

QRENCODE_CMD = "/usr/bin/qrencode"

# daemon
SPINDOWND_CMD = "/usr/sbin/spindownd"
UNLOCKD_CMD = "/usr/local/bin/unlockDaemon"

# logmail
LOGMAIL_CMD = "/usr/local/bin/logmail"

#
# Device/Volume Information for application
#

# For network
NET_IF_LIST = ("lan1", "lan2")

# For storage
STOR_IF_LIST = ("internal", "usb")
VOL_LIST = ("sataraid1", "usb1", "usb2", "usb3", "usb4")
STOR_IF_TO_VOL = {
        "internal": {1: "sataraid1"},
        "usb": {1: "usb1", 2: "usb2", 3: "usb3", 4: "usb4"},
    }

# For port configuration
_SATA_MODE_LIST = ("ignore")

PORT_TO_MODE_LIST = {
        "sata": {
                1: _SATA_MODE_LIST,
                2: _SATA_MODE_LIST,
                3: _SATA_MODE_LIST,
                4: _SATA_MODE_LIST,
                5: _SATA_MODE_LIST,
                6: _SATA_MODE_LIST,
            },
        "usb": {
                1: ("share", "quickcopy"),
                2: ("share",),
                3: ("share", "mirroring", "vfsext", ),
                4: ("share", "vfsext", ),
            }
    }

# Samba winbind separator
WINBIND_SEPARATOR = "\\"
